
From: Stephen Hemminger <shemminger@osdl.org>

There are /proc handles there setup by proc_tty_register_driver, but there
is no module ownership association, so anything that reads after module
unload will blow.  Fix is to propagate owner of tty_driver to proc entry.



 25-akpm/fs/proc/proc_tty.c |    1 +
 1 files changed, 1 insertion(+)

diff -puN fs/proc/proc_tty.c~tty-proc-oops-fix fs/proc/proc_tty.c
--- 25/fs/proc/proc_tty.c~tty-proc-oops-fix	Tue Nov 25 12:17:11 2003
+++ 25-akpm/fs/proc/proc_tty.c	Tue Nov 25 12:17:11 2003
@@ -198,6 +198,7 @@ void proc_tty_register_driver(struct tty
 		return;
 	ent->read_proc = driver->read_proc;
 	ent->write_proc = driver->write_proc;
+	ent->owner = driver->owner;
 	ent->data = driver;
 
 	driver->proc_entry = ent;

_
